Bug 537252 - SELinux is preventing /usr/bin/python "name_connect" access.
Summary: SELinux is preventing /usr/bin/python "name_connect" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fb5750a16b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 22:44 UTC by Victor Quinault
Modified: 2009-11-24 07:48 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-46.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:48:49 UTC
Type: ---


Attachments (Terms of Use)

Description Victor Quinault 2009-11-12 22:44:27 UTC
Résumé:

SELinux is preventing /usr/bin/python "name_connect" access.

Description détaillée:

SELinux denied access requested by yumdownloader. It is not expected that this
access is required by yumdownloader and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informations complémentaires:

Contexte source               system_u:system_r:abrt_t:s0
Contexte cible                system_u:object_r:vnc_port_t:s0
Objets du contexte            None [ tcp_socket ]
source                        yumdownloader
Chemin de la source           /usr/bin/python
Port                          5908
Hôte                         (removed)
Paquetages RPM source         python-2.6.2-2.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.32-41.fc12
Selinux activé               True
Type de politique             targeted
MLS activé                   True
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP Sat
                              Nov 7 21:41:45 EST 2009 i686 i686
Compteur d'alertes            1
Première alerte              jeu. 12 nov. 2009 02:49:09 CET
Dernière alerte              jeu. 12 nov. 2009 02:49:09 CET
ID local                      50e127ea-b772-403a-bf42-ed8837200100
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1257990549.772:25929): avc:  denied  { name_connect } for  pid=2331 comm="yumdownloader" dest=5908 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:vnc_port_t:s0 tclass=tcp_socket

node=(removed) type=SYSCALL msg=audit(1257990549.772:25929): arch=40000003 syscall=102 success=no exit=-115 a0=3 a1=bfd24fa0 a2=443f80 a3=bfd2520c items=0 ppid=2172 pid=2331 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="yumdownloader" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,yumdownloader,abrt_t,vnc_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t vnc_port_t:tcp_socket name_connect;

Comment 1 Daniel Walsh 2009-11-13 13:07:59 UTC
Fixed in selinux-policy-3.6.32-44.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:37:57 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:11:50 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:46:48 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.